/*  
    GNU Gama -- adjustment of geodetic networks
    Copyright (C) 2004  Ales Cepek <cepek@fsv.cvut.cz>

    This file is part of the GNU Gama C++ library.
    
    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 *  $Id: e3.h,v 1.2 2004/05/17 16:20:25 cepek Exp $
 */


#ifndef GNU_gama__Units_____gnu_gama_units_____gnugamaunits____h
#define GNU_gama__Units_____gnu_gama_units_____gnugamaunits____h


namespace GNU_gama {

  namespace Units {

    enum units {

      ppm,      // parts per million

      m,        // meters
      mm,       // millimeters

      rad,      // radians
      gon,      // gons
      cc,       // gons seconds
      deg,      // degrees
      ss        // arc seconds

    };

  }

}

#endif
